# $Revision: 1.34 $, $Date: 2011/06/28 18:51:39 $
Summary:	Support for VHDL
Summary(pl.UTF-8):	Wsparcie dla VHDL
Name:		xemacs-vhdl-pkg
%define 	srcname	vhdl
Version:	1.22
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	0e5b0d091532895ad8e025cd73518835
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildRequires:	texinfo
Requires:	xemacs
Conflicts:	xemacs-sumo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Support for VHDL.

%description -l pl.UTF-8
Wsparcie dla VHDL.

%prep
%setup -q -c
%patch0 -p1

%build
cd man/vhdl
awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc lisp/vhdl/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-vhdl-pkg.spec,v $
Revision 1.34  2011/06/28 18:51:39  marti
- up to 1.22

Revision 1.33  2011/02/06 16:50:54  sparky
- unified %clean section

Revision 1.32  2008/01/24 01:23:03  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.31  2007-04-06 22:45:16  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.30  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.28  2004/12/20 19:08:58  qboosh
- killed subshell in build

Revision 1.27  2004/12/20 18:58:10  qboosh
- BR: texinfo

Revision 1.26  2004/09/19 22:09:08  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.25  2004/09/10 09:01:56  pawelk
- version 1.19

Revision 1.24  2003/11/26 01:26:42  andree
- updated to 1.18

Revision 1.23  2003/09/09 10:25:02  ankry
- spaces -> tab

Revision 1.22  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.19  2002/04/14 12:26:59  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.18  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/27 19:47:57  kloczek
- updated to 1.15.

Revision 1.15  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/11 11:34:03  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.13  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/05/11 18:54:43  mis
- autoupdated to 1.13

Revision 1.10  2001/02/13 18:43:15  mis
- updated to 1.12

Revision 1.9  2000/11/29 13:35:24  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:13  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:21  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:32  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 23:04:48  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
